// SpadeLover Spades -- A Spades Game
// Copyright (C) 1998 Britt Yenne
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// 
// To contact the author, visit:  http://www.jump.net/~syenne/pilot/

#define cardWidth		22
#define cardHeight		32

#define LASTF_X			25
#define LASTF_Y			17
#define LASTF_H			123

#define	formID_spades		1000
#define	formID_bid		1001
#define	formID_score		1002
#define	formID_prefs		1003
#define	formID_last		1004
#define formID_partnerPrefs	1005
#define formID_soloPrefs	1006
#define formID_suicidePrefs	1007
#define formID_mirrorsPrefs	1008
#define formID_customPrefs	1009

#define	menuID_spades		1000

#define	menuitemID_new		1000
#define	menuitemID_score	1001
#define	menuitemID_prefs	1002
#define	menuitemID_about	1003
#define	menuitemID_last		1004
#define	menuitemID_rules	1005

#define	alertID_about		1000
#define	alertID_confirm		1001
#define	alertID_badMisdeal	1002
#define	alertID_bidChanged	1003
#define	alertID_misdeal		1004
#define	alertID_wit		1005
#define	alertID_badPlay		1006
#define	alertID_gameOver	1007
#define	alertID_exchange	1008

// Form Objects

#define	labelID_P2		1000
#define	labelID_P3		1001
#define	labelID_P4		1002
#define	labelID_play		1003
#define	labelID_game		1004
#define	labelID_level		1005
#define	labelID_sortSuits	1006
#define	labelID_sortRanks	1007
#define labelID_Win		1008
#define labelID_Lose		1009
#define labelID_MinInd		1010
#define labelID_MaxInd		1011
#define labelID_MinTeam		1012
#define labelID_MaxTeam		1013
#define labelID_BnilExch	1014
#define labelID_BonusBid	1015

#define	fieldID_P1bid		1020
#define	fieldID_P2bid		1021
#define	fieldID_P3bid		1022
#define	fieldID_P4bid		1023
#define	fieldID_P1taken		1030
#define	fieldID_P2taken		1031
#define	fieldID_P3taken		1032
#define	fieldID_P4taken		1033
#define fieldID_Win		1040
#define fieldID_Lose		1041
#define fieldID_BonusBid	1042
#define fieldID_MinInd		1043
#define fieldID_MaxInd		1044
#define fieldID_MinTeam		1045
#define fieldID_MaxTeam		1046
#define fieldID_BnilExch	1047

#define	cardID_0		1100
#define	cardID_1		1101
#define	cardID_2		1102
#define	cardID_3		1103
#define	cardID_4		1104
#define	cardID_5		1105
#define	cardID_6		1106
#define	cardID_7		1107
#define	cardID_8		1108
#define	cardID_9		1109
#define	cardID_10		1110
#define	cardID_11		1111
#define	cardID_12		1112

#define	buttonID_dnil		1150
#define	buttonID_show		1151
#define	buttonID_ok		1152
#define	buttonID_cancel		1153
#define	buttonID_restore	1154
#define	buttonID_gameOptions	1155
#define	buttonID_copy1		1156
#define	buttonID_copy2		1157
#define	buttonID_misdeal	1158

#define	bidID_0			1160
#define	bidID_1			1161
#define	bidID_2			1162
#define	bidID_3			1163
#define	bidID_4			1164
#define	bidID_5			1165
#define	bidID_6			1166
#define	bidID_7			1167
#define	bidID_8			1168
#define	bidID_9			1169
#define	bidID_10		1170
#define	bidID_11		1171
#define	bidID_12		1172
#define	bidID_13		1173

#define groupID_game		1
#define groupID_level		2
#define groupID_sortSuits	3
#define groupID_sortRanks	4

#define gameID_partner		1180
#define gameID_solo		1181
#define gameID_suicide		1182
#define gameID_mirrors		1183
#define gameID_custom1		1184
#define gameID_custom2		1185

#define levelID_normal		1190
#define levelID_expert		1191

#define sortID_spadesFirst	1192
#define sortID_spadesLast	1193
#define sortID_acesFirst	1194
#define sortID_acesLast		1195

#define triggerID_BnilExch	1291
#define triggerID_BonusBid	1292
#define triggerID_MinInd	1293
#define triggerID_MaxInd	1294
#define triggerID_MinTeam	1295
#define triggerID_MaxTeam	1296

#define prefID_Win		1300
#define prefID_Lose		1301
#define prefID_BonusBid		1302
#define prefID_MinInd		1303
#define prefID_MaxInd		1304
#define prefID_MinTeam		1305
#define prefID_MaxTeam		1306
#define prefID_BnilExch		1307
#define prefID_Partner		1308
#define prefID_MustBeat		1309
#define prefID_Misdeals		1310
#define prefID_SpadeBreak	1311
#define prefID_ClubTrick	1312
#define prefID_OneNil		1313
#define prefID_BidSpades	1314
#define prefID_10for200		1315
#define prefID_7for140		1316
#define prefID_200Down		1317
#define prefID_BlindNils	1318

#define helpID_partner		1201
#define helpID_solo		1202
#define helpID_suicide		1203
#define helpID_mirrors		1204
#define helpID_custom1		1205
#define helpID_custom2		1206
#define helpID_Win		1207
#define helpID_Lose		1208
#define helpID_BonusBid		1209
#define helpID_MinInd		1210
#define helpID_MaxInd		1211
#define helpID_MinTeam		1212
#define helpID_MaxTeam		1213
#define helpID_BnilExch		1214
#define helpID_Partner		1215
#define helpID_MustBeat		1216
#define helpID_Misdeals		1217
#define helpID_SpadeBreak	1218
#define helpID_ClubTrick	1219
#define helpID_OneNil		1220
#define helpID_BidSpades	1221
#define helpID_10for200		1222
#define helpID_7for140		1223
#define helpID_200Down		1224
#define helpID_BlindNils	1225

#define helpStr_license		1248
#define helpStr_bidChanged	1249
#define helpStr_start		1250
#define helpStr_spades		1251
#define helpStr_partner		1252
#define helpStr_solo		1253
#define helpStr_suicide		1254
#define helpStr_mirrors		1255
#define helpStr_custom		1256
#define helpStr_Win		1257
#define helpStr_Lose		1258
#define helpStr_BonusBid	1259
#define helpStr_MinInd		1260
#define helpStr_MaxInd		1261
#define helpStr_MinTeam		1262
#define helpStr_MaxTeam		1263
#define helpStr_BnilExch	1264
#define helpStr_Partner		1265
#define helpStr_MustBeat	1266
#define helpStr_Misdeals	1267
#define helpStr_SpadeBreak	1268
#define helpStr_ClubTrick	1269
#define helpStr_OneNil		1270
#define helpStr_BidSpades	1271
#define helpStr_10for200	1272
#define helpStr_7for140		1273
#define helpStr_200Down		1274
#define helpStr_BlindNils	1275
